API Documentation

Get time entries by task ID

Description

Returns all time entries (Pomodoro, Stopwatch and manual) for a task. Since Pomodoro and Stopwatch entries can span multiple tasks, they have a partIndex property.

Request format

curl https://kanbanflow.com/api/v1/tasks/<TASK_ID>/time-entries

Example request

curl https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/time-entries

Example response

[
    {
        "entryId": "EyS84FdLk",
        "type": "manual",
        "userId": "UHJ9JgtA",
        "taskId": "KXF2C1oH",
        "startTimestamp": "2023-01-02T08:30:00Z",
        "endTimestamp": "2023-01-02T12:00:00Z"
    },
    {
        "entryId": "EyS84FdLk",
        "type": "pomodoro",
        "userId": "UHJ9JgtA",
        "taskId": "kX75LPwk",
        "startTimestamp": "2023-01-02T13:00:00Z",
        "endTimestamp": "2023-01-02T13:25:00Z",
        "partIndex": 0
    },
    {
        "entryId": "E3VJU6yeb",
        "type": "stopwatch",
        "userId": "UHJ9JgtA",
        "taskId": "WarF7wJJ",
        "startTimestamp": "2023-01-02T13:00:00Z",
        "endTimestamp": "2023-01-02T17:00:00Z",
        "partIndex": 0
    }
]

Response properties

PropertyTypeComment
entryIdStringThe ID of the original time entry.
typeStringType of time entry. There are three types: "pomodoro", "stopwatch" and "manual".
userIdStringThe ID of the user that created the time entry.
taskIdStringThe ID of the task that the time entry was created on.
startTimestampStringThe UTC timestamp when the time entry started, for example 2023-12-31T09:00:00Z.
endTimestampStringThe UTC timestamp when the time entry ended, for example 2023-12-31T17:00:00Z.
partIndexStringThe index of the "parts" array in the original Pomodoro or Stopwatch entry. Property is not set on time entries of type "manual".
commentStringA comment to the time entry. Only included when set.
labelNamesArrayLabels for the time entry. Only included when there are any items. Example: ["Billable", "Project X"].